Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1277387 - [RFE] enable SQLITE_ENABLE_JSON1 extension
Summary: [RFE] enable SQLITE_ENABLE_JSON1 extension
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: sqlite
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jan Staněk
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1277298
TreeView+ depends on / blocked
 
Reported: 2015-11-03 08:39 UTC by Tom Hughes
Modified: 2016-02-10 10:51 UTC (History)
3 users (show)

Fixed In Version: sqlite-3.10.2-1.fc23 sqlite-3.10.2-1.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-02-10 10:51:55 UTC
Type: Bug


Attachments (Terms of Use)
Patch to enable JSON1 extension (1.47 KB, patch)
2015-11-03 08:41 UTC, Tom Hughes
no flags Details | Diff

Description Tom Hughes 2015-11-03 08:39:50 UTC
The latest release of the Node.js bindings for sqlite3 have a test that is failing because it uses the json function but the JSON1 extension is not currently enabled in our sqlite3 build

Could it be turned on? I've tested that it builds OK with that on, and that the Node.js bindings then build and test with it.

Comment 1 Tom Hughes 2015-11-03 08:41:00 UTC
Created attachment 1088826 [details]
Patch to enable JSON1 extension

Spec file patch to enable the JSON1 extension

Comment 2 Fedora Update System 2016-01-22 12:31:17 UTC
spatialite-tools-4.3.0-7.fc23 sqlite-3.10.2-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-99522901b8

Comment 3 Fedora Update System 2016-01-22 12:31:17 UTC
spatialite-tools-4.2.0-19.fc22 sqlite-3.10.2-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-196966efc2

Comment 4 Tom Hughes 2016-01-22 13:55:13 UTC
Unfortunately there's a typo and you've added ENABLE_SQLITE__JSON1 not ENABLE_SQLITE_JSON1 (note double underscore) so it isn't working :-(

Comment 5 Fedora Update System 2016-01-24 04:51:01 UTC
spatialite-tools-4.2.0-19.fc22, sqlite-3.10.2-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-196966efc2

Comment 6 Fedora Update System 2016-01-24 04:51:04 UTC
spatialite-tools-4.3.0-7.fc23, sqlite-3.10.2-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-99522901b8

Comment 7 Fedora Update System 2016-01-26 18:21:09 UTC
spatialite-tools-4.3.0-7.fc23, sqlite-3.10.2-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Tom Hughes 2016-01-26 18:27:32 UTC
As noted, this is not actually fixed.

Comment 9 Jan Staněk 2016-02-08 16:44:07 UTC
SQLite build with the typo fixed should now be available in rawhide. Please let me know if it now works.

Comment 10 Tom Hughes 2016-02-10 08:48:48 UTC
Yes that works fine now, thanks.

Comment 11 Fedora Update System 2016-02-10 10:51:43 UTC
spatialite-tools-4.2.0-19.fc22, sqlite-3.10.2-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.